Skip to content

Gets a device plan​

GET
/devices/{id}/plan

Gets the current plan of a device, if it has one.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request example

Responses​

OK

application/json
JSON
{
  
"active": true,
  
"batteryPct": 0,
  
"batteryType": "string",
  
"batteryVoltage": 0,
  
"btMacAddress": "string",
  
"btPasskey": 0,
  
"color": "string",
  
"config": {
  
  
"alertAction": "string",
  
  
"behavior": 0,
  
  
"command": 0,
  
  
"currentFW": 0,
  
  
"debounce": 0,
  
  
"flashTryCount": 0,
  
  
"forceFw": true,
  
  
"fwChannel": "string",
  
  
"gpsCheckInterval": 0,
  
  
"gpsStabilize": 0,
  
  
"gpsTimeout": 0,
  
  
"homeWifiNetwork": "string",
  
  
"interval": 0,
  
  
"modeControl": 0,
  
  
"modeControl2": 0,
  
  
"modified": "string",
  
  
"movementSensitivity": 0,
  
  
"movementSensitivityOld": 0,
  
  
"otaFW": 0,
  
  
"packing": 0,
  
  
"reasonsToWake": {
  
  
  
"bluetooth": true,
  
  
  
"drop": true,
  
  
  
"geofence": true,
  
  
  
"move": true
  
  
},
  
  
"receivedAt": "string",
  
  
"reset": 0,
  
  
"sleepInterval": 0,
  
  
"stopTimeout": 0,
  
  
"timed": "string",
  
  
"tolerancePercentage": 0,
  
  
"transmitTimeout": 0,
  
  
"updateAvailability": 0,
  
  
"wakeAction": "string"
  
},
  
"currentMode": 0,
  
"expires": "string",
  
"firstSeen": "string",
  
"iccid": "string",
  
"id": 0,
  
"imei": "string",
  
"imsi": "string",
  
"knownDevices": [
  
  
"string"
  
],
  
"lastConnection": "string",
  
"meta": {
  
  
"additionalProperties": null
  
},
  
"name": "string",
  
"onoWhitelistId": 0,
  
"ownerId": 0,
  
"qcEvents": {
  
  
"additionalProperties": {
  
  
  
"count": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
},
  
"reseller": {
  
  
"created": "string",
  
  
"email": "string",
  
  
"id": 0,
  
  
"name": "string",
  
  
"plans": [
  
  
  
{
  
  
  
  
"archived": 0,
  
  
  
  
"displayName": "string",
  
  
  
  
"features": "string",
  
  
  
  
"id": 0,
  
  
  
  
"name": "string",
  
  
  
  
"onoWhitelistId": 0,
  
  
  
  
"resellerId": 0,
  
  
  
  
"sleepLimit": 0,
  
  
  
  
"term": 0,
  
  
  
  
"wakeLimit": 0
  
  
  
}
  
  
],
  
  
"stripeAccountId": "string",
  
  
"userId": 0,
  
  
"xeroContactId": "string"
  
},
  
"resellerId": 0,
  
"resellerPlan": {
  
  
"archived": 0,
  
  
"displayName": "string",
  
  
"features": "string",
  
  
"id": 0,
  
  
"name": "string",
  
  
"onoWhitelistId": 0,
  
  
"resellerId": 0,
  
  
"sleepLimit": 0,
  
  
"term": 0,
  
  
"wakeLimit": 0
  
},
  
"resellerPlanId": 0,
  
"serial": "string",
  
"siloId": null,
  
"stripeSubscription": null,
  
"subscription": {
  
  
"_stripeSubscriptionId": "string",
  
  
"created": "string",
  
  
"deviceId": 0,
  
  
"expires": "string",
  
  
"id": 0,
  
  
"plan": {
  
  
  
"description": "string",
  
  
  
"displayName": "string",
  
  
  
"features": "string",
  
  
  
"id": 0,
  
  
  
"name": "string",
  
  
  
"onoWhitelistId": 0,
  
  
  
"prices": {
  
  
  
  
"eur": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"gbp": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"tax": "[Circular Reference]",
  
  
  
  
"usd": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"sku": "string",
  
  
  
"sleepLimit": 0,
  
  
  
"wakeLimit": 0
  
  
},
  
  
"planId": 0,
  
  
"userId": 0
  
},
  
"subscriptionType": null,
  
"tags": [
  
  
"string"
  
],
  
"type": "string",
  
"users": [
  
  
{
  
  
  
"email": "string",
  
  
  
"hasBillingInfo": true,
  
  
  
"id": 0
  
  
}
  
],
  
"uwbId": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value